Bug 448400 - TouchPad at isa0060/serio4/input0 lost synchronization, throwing 2 bytes away.
TouchPad at isa0060/serio4/input0 lost synchronization, throwing 2 bytes away.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-26 10:11 EDT by Claus Reheis
Modified: 2017-11-28 19:53 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 09:58:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages (61.85 KB, text/plain)
2010-06-28 19:35 EDT, Juan P. Daza P.
no flags Details

  None (edit)
Description Claus Reheis 2008-05-26 10:11:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9b5) Gecko/2008043010 Fedora/3.0-0.60.beta5.fc9 Firefox/3.0b5

Description of problem:
In a gnome-session the cursor starts acting jumpy/slowly

/var/log/messages says:

kernel: psmouse.c: TouchPad at isa0060/serio4/input0 lost synchronization, throwing 2 bytes away.
kernel: psmouse.c: TouchPad at isa0060/serio4/input0 lost synchronization, throwing 2 bytes away.
kernel: psmouse.c: TouchPad at isa0060/serio4/input0 lost synchronization, throwing 4 bytes away.
kernel: psmouse.c: TouchPad at isa0060/serio4/input0 lost synchronization, throwing 1 bytes away.
kernel: psmouse.c: TouchPad at isa0060/serio4/input0 lost synchronization, throwing 3 bytes away.
kernel: psmouse.c: TouchPad at isa0060/serio4/input0 lost synchronization, throwing 3 bytes away.
kernel: psmouse.c: TouchPad at isa0060/serio4/input0 lost synchronization, throwing 3 bytes away.
kernel: psmouse.c: TouchPad at isa0060/serio4/input0 lost synchronization, throwing 3 bytes away.
kernel: psmouse.c: TouchPad at isa0060/serio4/input0 lost synchronization, throwing 3 bytes away.
kernel: psmouse.c: TouchPad at isa0060/serio4/input0 lost synchronization, throwing 4 bytes away.
kernel: psmouse.c: TouchPad at isa0060/serio4/input0 lost synchronization, throwing 4 bytes away.
kernel: psmouse.c: TouchPad at isa0060/serio4/input0 lost synchronization, throwing 3 bytes away.
kernel: psmouse.c: TouchPad at isa0060/serio4/input0 lost synchronization, throwing 2 bytes away.

Version-Release number of selected component (if applicable):
kernel-2.6.25.3-18

How reproducible:
Always


Steps to Reproduce:
log in as user into a gnome-session


Actual Results:
after a few moments after using the TouchPad the curser start acting jumping and slowly

Expected Results:


Additional info:
the smolt profile of that Laptop can be found here:

http://www.smolts.org/client/show/pub_9c23c0dc-fd77-4259-a311-0fe3a1a1a68c
Comment 1 Jesse Kahtava 2008-11-28 19:57:06 EST
I'm having this same problem after upgrading to Fedora 10. 

psmouse.c: TouchPad at isa0060/serio1/input0 lost synchronization, throwing 1 bytes away.
psmouse.c: TouchPad at isa0060/serio1/input0 lost synchronization, throwing 2 bytes away.

The mouse is all jumpy and sometimes doesn't respond at all.

kernel: 2.6.27.5-117.fc10.i686
Comment 2 Albert Bartok-Partay 2009-04-30 16:20:29 EDT
The same here on a Dell E6400. Very annoying.

kernel:2.6.27.21-170.2.56.fc10.i686

Apr 30 15:31:16 localhost kernel: psmouse.c: DualPoint TouchPad at isa0060/serio1/input0 lost sync at byte 1
Apr 30 15:31:16 localhost kernel: psmouse.c: DualPoint TouchPad at isa0060/serio1/input0 lost sync at byte 1
Apr 30 15:31:16 localhost kernel: psmouse.c: DualPoint TouchPad at isa0060/serio1/input0 - driver resynched.
Apr 30 15:31:16 localhost kernel: psmouse.c: DualPoint TouchPad at isa0060/serio1/input0 lost sync at byte 1
Apr 30 15:31:16 localhost kernel: psmouse.c: DualPoint TouchPad at isa0060/serio1/input0 - driver resynched.
Comment 3 Bug Zapper 2009-06-09 21:12:27 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 10:19:59 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Jesus M. Rodriguez 2009-09-27 11:12:40 EDT
This just started happening for me in Fedora 11, so it is *NOT* a fedora 9 only bug.
reopening.

Sep 27 11:10:03 camaro kernel: psmouse.c: TouchPad at isa0060/serio1/input0 lost synchronization, throwing 5 bytes away.
Comment 6 Erich Schroeder 2009-11-10 15:08:26 EST
This began happening to me with the update to kernel-2.6.30.9 in Fedora 11 

Kernel-2.6.30.8-64.fc11.i586 works fine
Comment 7 Erich Schroeder 2009-11-10 15:19:29 EST
I forgot to add, here is my smolts profile.

http://www.smolts.org/client/show_all/pub_978af636-a188-4896-a168-98da9187a0dd
Comment 8 Luke Sheldrick 2009-11-27 09:53:18 EST
Still happening in the F12 / 2.6.31.5-127.fc12.x86_64 also on a Dell E6400.
Comment 9 Erich Schroeder 2009-12-31 15:05:59 EST
Still happening on F11 kernel 2.6.30.10-105. I've tried setting psmouse.rate as a kernel option, but that doesn't do any good.

I still use Kernel-2.6.30.8-64.fc11.i586, which does not have the problem.
Comment 10 gregor 2010-02-13 16:20:50 EST
hi,

i have the same problem (mousepad jumping around and didn't work) on my acer travelmate 4500 with fedora 12 "2.6.31.12-174.2.3.fc12.i686"

workaround: bootparameter + acpi=off
problem with workaround: the battery status didn't work

i hope that somebody can make a fix for this.

gregor
Comment 11 gregor 2010-03-12 16:35:25 EST
good news with the new kernel 2.6.32.9-70.fc12.i686 it works on my device

thx
gregor
Comment 12 Bug Zapper 2010-04-27 08:05:05 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Juan P. Daza P. 2010-06-15 21:36:30 EDT
Same issue happens in my hp dv6000 running fedora 13 plus updates on x86_64.

Name       : kernel
Arch       : x86_64
Version    : 2.6.33.5
Release    : 124.fc13

Attached /var/log/messages
Comment 14 Juan P. Daza P. 2010-06-15 21:38:07 EDT
Added triaged flag.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 15 Juan P. Daza P. 2010-06-28 19:35:47 EDT
Created attachment 427528 [details]
/var/log/messages

Furthermore each time the synaptic touch-pad is enabled or disabled the keyboard 'stops' working, I mean the screen doesn't update the keys pressed, but a quick ctrl-alt-f2 fixes this behaviour.
Comment 16 tommy9874 2010-11-30 09:20:01 EST
Hello,

getting the same messages entries for the newest Fedora release:

$ uname -a
Linux ntb-kata 2.6.35.6-48.fc14.x86_64 #1 SMP Fri Oct 22 15:36:08 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux


/var/log/messages:

Nov 30 14:58:53 ntb-kata kernel: [62884.035615] psmouse.c: TouchPad at 
isa0060/serio1/input0 lost sync at byte 4
Nov 30 14:58:53 ntb-kata kernel: [62884.037064] psmouse.c: TouchPad at 
isa0060/serio1/input0 lost sync at byte 1
Nov 30 14:58:53 ntb-kata kernel: [62884.049038] psmouse.c: TouchPad at 
isa0060/serio1/input0 - driver resynched.
Nov 30 14:59:01 ntb-kata kernel: [62892.058683] psmouse.c: TouchPad at 
isa0060/serio1/input0 lost sync at byte 1
Nov 30 14:59:01 ntb-kata kernel: [62892.059644] psmouse.c: TouchPad at 
isa0060/serio1/input0 lost sync at byte 1
Nov 30 14:59:01 ntb-kata kernel: [62892.060965] psmouse.c: TouchPad at 
isa0060/serio1/input0 lost sync at byte 1
Nov 30 14:59:01 ntb-kata kernel: [62892.062377] psmouse.c: TouchPad at 
isa0060/serio1/input0 lost sync at byte 1
Nov 30 14:59:01 ntb-kata kernel: [62892.063855] psmouse.c: TouchPad at 
isa0060/serio1/input0 lost sync at byte 1
Nov 30 14:59:01 ntb-kata kernel: [62892.063864] psmouse.c: issuing 
reconnect request
Nov 30 14:59:02 ntb-kata kernel: [62893.144178] Synaptics Touchpad, 
model: 1, fw: 7.4, id: 0x1e0b1, caps: 0xd047b1/0xb40000/0xa0000
Nov 30 14:59:02 ntb-kata kernel: [62893.144193] serio: Synaptics 
pass-through port at isa0060/serio1/input0
Nov 30 14:59:02 ntb-kata kernel: [62893.193194] input: SynPS/2 Synaptics 
TouchPad as /devices/platform/i8042/serio1/input/input9
Nov 30 14:59:09 ntb-kata kernel: [62900.167345] IBM TrackPoint firmware: 
0x0e, buttons: 3/3
Nov 30 14:59:10 ntb-kata kernel: [62900.439653] input: TPPS/2 IBM 
TrackPoint as /devices/platform/i8042/serio1/serio3/input/input10
Nov 30 14:59:21 ntb-kata kernel: [62912.090398] psmouse.c: TouchPad at 
isa0060/serio1/input0 lost sync at byte 4
Nov 30 14:59:21 ntb-kata kernel: [62912.091383] psmouse.c: TouchPad at 
isa0060/serio1/input0 lost sync at byte 1
Nov 30 14:59:21 ntb-kata kernel: [62912.103286] psmouse.c: TouchPad at 
isa0060/serio1/input0 - driver resynched.
Nov 30 14:59:25 ntb-kata kernel: [62916.105777] psmouse.c: TouchPad at 
isa0060/serio1/input0 lost sync at byte 1
Nov 30 14:59:25 ntb-kata kernel: [62916.106808] psmouse.c: TouchPad at 
isa0060/serio1/input0 lost sync at byte 1
Nov 30 14:59:25 ntb-kata kernel: [62916.107799] psmouse.c: TouchPad at 
isa0060/serio1/input0 lost sync at byte 1
Nov 30 14:59:25 ntb-kata kernel: [62916.108841] psmouse.c: TouchPad at 
isa0060/serio1/input0 lost sync at byte 1
Nov 30 14:59:25 ntb-kata kernel: [62916.109832] psmouse.c: TouchPad at 
isa0060/serio1/input0 lost sync at byte 1
Nov 30 14:59:25 ntb-kata kernel: [62916.109840] psmouse.c: issuing 
reconnect request
Nov 30 15:00:45 ntb-kata kernel: [62996.260911] psmouse.c: TouchPad at 
isa0060/serio1/input0 lost sync at byte 4
Nov 30 15:00:45 ntb-kata kernel: [62996.261931] psmouse.c: TouchPad at 
isa0060/serio1/input0 lost sync at byte 1
Nov 30 15:00:45 ntb-kata kernel: [62996.272807] psmouse.c: TouchPad at 
isa0060/serio1/input0 - driver resynched.

Is there anybody working on this issue?

Thanks

Tom
Comment 17 Bug Zapper 2011-06-02 14:31:01 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Bug Zapper 2011-06-27 09:58:52 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 19 Kyle Marek 2017-03-14 00:54:02 EDT
I experience this issue on an ASUS K501L running kernel-4.9.5-200.fc25.x86_64 on Fedora 25. However, it seems to take a few days of uptime just for a chance of happening (so it is hard to reproduce), but I do observe the issue repeatedly.

Also note that Fedora seems to have switched from synaptics to libinput for X trackpad drivers.
Comment 20 Kyle Marek 2017-03-18 14:57:05 EDT
Well, perhaps this is a regression, or a hardware failure, because I'm noticing the issue within the first few hours of uptime, even after all power is lost (laptop completely dying).
Comment 21 Máirín Duffy 2017-10-21 09:23:41 EDT
This happens to me on a Thinkpad Yoga just about every 5-10 minutes when it's really bad. It's difficult to reproduce on demand though. This is what my log looks like in the aftermath:

[ 1759.235972] psmouse serio3: TrackPoint at synaptics-rmi4-pt/serio1/input0 lost synchronization, throwing 2 bytes away.
[ 2298.871088] rfkill: input handler enabled
[ 2299.490829] rfkill: input handler disabled
[ 2300.315768] psmouse serio3: TrackPoint at synaptics-rmi4-pt/serio1/input0 lost synchronization, throwing 2 bytes away.

Usually it breaks my left click and right click. Sometimes it's worse and I can't move the pointer at all. Sometimes random other things break (this go around, my sound output device disappeared so I have no sound.)

If I switch ttys, sometimes I can recover the mouse buttons. 

This was never a problem from say F23-F25 and only manifested when I upgraded to F26.

Posting this here in case the workaround helps someone.
Comment 22 Kyle Marek 2017-10-21 12:41:56 EDT
I had the opposite experience; this happened to me during my usage of Fedora 25 and never happens to me on Fedora 26.
Comment 23 Máirín Duffy 2017-11-07 10:14:34 EST
OK, so some good news if you have the issue I had in comment 21 - the synaptics driver was retired in F26, see https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/HO5NOLEDZCVHKUJP2LAJ7MDPZ26BOS44/

Even if you do a dnf upgrade from F25, synaptics will be turned off / not installed in F26 because the package name was changed to xorg-x11-drv-synaptics-legacy! so after doing a dnf install xorg-x11-drv-synaptics-legacy and rebooting my system, it's usable again! it must be the new libinput driver is incompatible / buggy wth the thinkpad yoga s1 pointer / touchpad.

Kyle, it must be the new driver works better for your hardware.
Comment 24 Kyle Marek 2017-11-28 19:53:29 EST
Occurs to me again on Fedora 27.

Note You need to log in before you can comment on or make changes to this bug.